.report-container {
  //border stylings
  padding: 3rem;
  border: 2px solid;
  margin: 2rem;

  display: grid;
  grid-template-rows: 2rem repeat(8, auto) 40rem;
  grid-template-columns: repeat(2, 1fr);
  grid-gap: 2rem;

  .report-header {
    grid-column: 1/-1;
    grid-row: 1/2;
    justify-self: center;
    align-self: center;

    h1 {
      font-size: 2rem;
      text-transform: uppercase;
      font-weight: 400;
    }
  }

  .patient-container {
    grid-column: 1/2;
    grid-row: 2/3;
    justify-items: center;

    display: grid;
    grid-template-columns: 8rem 1fr;
    grid-template-rows: 15rem;
    grid-gap: 1rem;

    &__labels {
      grid-column: 1/2;
      grid-row: 1/2;
      align-self: center;
      justify-self: start;
    }

    &__details {
      grid-column: 2 / span 1;
      grid-row: 1/2;
      align-self: center;
      justify-self: start;
      padding: 0 2rem;

      h3 {
        font-weight: normal;
      }
    }
  }

  .doctor-container {
    grid-column: 2/3;
    grid-row: 2/3;

    display: grid;
    grid-template-columns: 8rem 1fr;
    grid-template-rows: 15rem;
    grid-gap: 1rem;

    &__labels {
      grid-column: 1/2;
      grid-row: 1/2;
      align-self: flex-start;
      justify-self: start;
    }

    &__details {
      grid-column: 2 / span 1;
      grid-row: 1/2;
      align-self: start;
      justify-self: start;
      padding: 0 2rem;

      h3 {
        font-weight: normal;
      }
    }
  }

  .chief-complaint {
    grid-column: 1/-1;
    grid-row: 3/4;

    border-top: 2px solid;
    border-bottom: 2px solid;
    margin: 0 -3rem;
    padding: 1.5rem;

    display: grid;
    grid-template-columns: 20rem 1fr;
    grid-template-rows: auto;

    &__header {
      grid-column: 1/-1;
      justify-self: start;
      padding-left: 1.5rem;
    }
    &__sub-container {
      grid-column: 1/-1;

      display: grid;
      grid-template-columns: 20% 80%;
      grid-template-rows: auto;
      grid-column-gap: 1rem;

      &--date {
        grid-row: 1/2;
        grid-column: 1/2;
        justify-self: start;
        padding-left: 2rem;
      }

      &--details {
        grid-column: 2 / span 1;
        grid-row: 1/2;
        h3 {
          font-weight: normal;
          font-size: 1.2rem;
        }
      }
    }
  }

  .allergies-container {
    grid-column: 1/-1;
    grid-row: 4/5;

    border-bottom: 2px solid;
    margin: 0 -3rem;
    padding: 0 2rem;

    display: grid;
    grid-template-columns: 20rem 1fr;
    grid-template-rows: auto;

    &__header {
      grid-column: 1/2;
      grid-row: 1/2;
      justify-self: start;
      padding-left: 1.5rem;
    }

    &__details {
      grid-column: 2 / span 1;
      grid-row: 1/2;
      justify-self: start;
      padding-top: 1.2rem;

      h3 {
        font-weight: normal;
        font-size: 1.2rem;
      }
    }
  }

  .diagnosis-container {
    grid-column: 1/-1;
    grid-row: 5/6;

    border-bottom: 2px solid;
    margin: 0 -3rem;
    padding: 0 2rem;

    display: grid;
    grid-template-columns: 20rem 1fr;
    grid-template-rows: auto;

    &__header {
      grid-column: 1 / span 1;
      justify-self: start;
      padding-left: 1.5rem;
    }

    &__sub-container {
      grid-column: 1/-1;
      padding-left: 2rem;

      display: grid;
      grid-template-columns: 20% 80%;
      grid-template-rows: auto;
      grid-column-gap: 2rem;

      &--date {
        grid-column: 1/2;
      }

      &--details {
        grid-column: 2 / span 1;

        display: grid;
        grid-template-columns: 10% 90%;
        grid-template-rows: auto;

        &__id {
          grid-column: 1/2;
        }

        &__name {
          grid-column: 2 / span 1;
        }

        &__description {
          grid-column: 2 / span 1;
          grid-row: 2/1;
        }
        * {
          h3 {
            font-weight: normal;
          }
        }
      }
    }
  }

  .vitals-container {
    grid-column: 1/-1;
    grid-row: 6/7;

    border-bottom: 2px solid;
    margin: 0 -3rem;
    padding: 0 2rem;

    display: grid;
    grid-template-columns: 20rem 1fr;
    grid-template-rows: auto;

    &__header {
      grid-column: 1 / span 1;
      justify-self: start;
      padding-left: 1rem;
    }

    &__sub-container {
      grid-row: auto;
      grid-column: 1/-1;

      padding-left: 2rem;
      display: grid;
      grid-template-columns: 20% 80%;
      grid-template-rows: auto;

      &--date {
        grid-column: 1/2;
        padding-left: 1.2rem;
      }

      &--section-1 {
        grid-column: 2 / span 1;

        display: grid;
        grid-template-columns: 15% 85%;
        grid-template-rows: auto;

        &__labels {
          grid-column: 1/2;
        }

        &__details {
          grid-column: 2 / span 1;
        }
        * {
          h3 {
            font-weight: normal;
          }
        }
      }
    }
  }

  .physical-examination {
    grid-column: 1/-1;
    grid-row: 7/8;

    border-bottom: 2px solid;
    margin: 0 -3rem;
    padding: 0 2rem;

    display: grid;
    grid-template-columns: 20% 80%;
    grid-template-rows: auto;

    &__header {
      grid-column: 1 / -1;
      justify-self: start;
      padding-left: 1rem;
    }

    &__sub-container {
      grid-column: 1/-1;
      padding-left: 2rem;

      display: grid;
      grid-template-columns: 20% 80%;
      grid-template-rows: auto;

      &--date {
        grid-column: 1/2;
      }

      &--section {
        grid-column: 2/-1;
        display: grid;
        grid-template-columns: 15% 85%;
        grid-template-rows: auto;

        &__left-detail {
          grid-column: 1/2;
        }
        &__right-detail {
          grid-column: 2 / span 1;
        }

        * {
          h3 {
            font-weight: normal;
          }
        }
      }
    }
  }

  .doctor-orders {
    grid-column: 1/-1;
    grid-row: 8/9;

    border-bottom: 2px solid;
    margin: 0 -3rem;
    padding: 0 2rem;

    display: grid;
    grid-template-columns: 20% 80%;
    grid-template-rows: auto;

    &__header {
      grid-column: 1/-1;
      padding-left: 1rem;
    }

    &__label {
      grid-row: 2/3;
      grid-column: 1/-1;

      display: grid;
      grid-template-columns: repeat(5, 1fr);
      grid-template-rows: auto;

      &--date {
        grid-column: 1/2;
        justify-self: center;
      }

      &--time {
        grid-column: 2/3;
        justify-self: center;
      }

      &--procedure_name {
        grid-column: 3/4;
        justify-self: center;
      }

      &--nurse_remark {
        grid-column: 4/5;
        justify-self: center;
      }

      &--status {
        grid-column: 5/6;
        justify-self: center;
      }
    }

    &__values {
      grid-column: 1/-1;

      h3 {
        font-weight: normal;
      }

      display: grid;
      grid-template-columns: repeat(5, 1fr);
      grid-template-rows: auto;

      &--date {
        grid-column: 1/2;
        justify-self: center;
      }

      &--time {
        grid-column: 2/3;
        justify-self: center;
      }

      &--procedure_name {
        grid-column: 3/4;
        justify-self: center;
      }

      &--nurse_remark {
        grid-column: 4/5;
        justify-self: center;
      }

      &--status {
        grid-column: 5/6;
        justify-self: center;
      }
    }
  }

  .progress-note {
    grid-column: 1/-1;
    grid-row: 9/10;

    border-bottom: 2px solid;
    margin: 0 -3rem;
    padding: 0 2rem;

    display: grid;
    grid-template-columns: 20% 80%;
    grid-template-rows: auto;

    &__header {
      grid-column: 1/-1;
      padding-left: 1rem;
    }

    &__sub-container {
      grid-column: 1/-1;
      grid-row: 2/-1;

      display: grid;
      grid-template-columns: 20% 80%;
      grid-template-rows: auto;

      &--date {
        grid-column: 1/2;
        padding-left: 1.5rem;
      }

      &--detail {
        grid-column: 2/-1;

        display: grid;
        grid-template-columns: 20% 80%;
        grid-template-rows: auto;

        &__id {
          grid-column: 1 / span 1;
        }

        &__name {
          grid-column: 2 / span 1;
        }

        &__note {
          grid-column: 1/-1;
        }

        h3 {
          font-weight: normal;
        }
      }
    }
  }

  .discharge-summery {
    grid-column: 1/-1;
    grid-row: 10/11;

    display: grid;
    grid-template-columns: 30% 70%;
    grid-template-columns: auto;

    &__heading {
      grid-column: 1/-1;
    }

    &__container {
      grid-column: 1/-1;

      display: grid;
      grid-template-columns: 20% 80%;
      grid-template-rows: auto;

      &--labels {
        grid-column: 1 / span 1;
      }

      &--values {
        grid-column: 2/-1;

        h3 {
          font-weight: normal;
        }
      }
    }
  }
}

.btn-config {
  grid-column: 2 / span 1;
  padding: 2rem;
  display: flex;
  flex-direction: column;
  justify-self: start;
  align-self: flex-start;

  button {
    &:not(:first-child) {
      margin-top: 1rem;
    }
  }
}
